<?php

if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

// Path to the localisation file
$localisationFilePath = $localisationFilePath . '';

/** @var $TCA array */
$TCA['tx_content_replacer_category'] = [
	'ctrl' => $TCA['tx_content_replacer_category']['ctrl'],
	'interface' => [
		'showRecordFieldList' => 'hidden, category, description',
	],
	'types' => [
		0 => [
			'showitem' => 'hidden, --palette--;;1, category, description, --div--',
		]
	],
	'palettes' => [
		0 => [
			'showitem' => '',
		],
	],
	'columns' => [
		't3ver_label' => [
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.versionLabel',
			'config' => [
				'type' => 'input',
				'size' => 30,
				'max' => 30,
			],
		],
		'hidden' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config' => [
				'type' => 'check',
				'default' => FALSE,
			],
		],
		'category' => [
			'l10n_mode' => 'exclude',
			'label' => $localisationFilePath . 'tx_content_replacer_category.category',
			'config' => [
				'type' => 'input',
				'size' => 40,
				'max' => 256,
				'eval' => 'trim,required,unique',
			],
		],
		'description' => [
			'exclude' => TRUE,
			'label' => $localisationFilePath . 'tx_content_replacer_category.description',
			'config' => [
				'type' => 'text',
				'cols' => 40,
				'rows' => 3,
			],
		],
	],
];

?>